/*
    Created on : 23.06.2022, 00:56:00
    Author     : Alekhnovich Oleg (https://webplatinum.net)
*/

/* CUSTOMIZE THE MAIN CAROUSEL
-------------------------------------------------- */
#mainCarousel .carousel {
    margin-bottom: 4rem;
}

#mainCarousel .carousel-caption {
    bottom: 3rem;
    z-index: 10;
}

#mainCarousel .carousel-item {
    height: 32rem;
}

#mainCarousel .carousel-bg-filter {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: black;
    background: rgba(0, 0, 0, 0.5);
}

/* CAROUSEL FOR ADDITIONAL PRODUCT IMAGES
-------------------------------------------------- */
.additional-carousel-indicator {
    opacity: .5;
    transition: all 0.3s ease;
}

.additional-carousel-indicator:hover {
    opacity: 1;
    transition: all 0.3s ease;
}

.additional-carousel-indicator.active {
    opacity: 1;
    transition: all 0.3s ease;
}

/* CUSTOMIZE THE JUMBOTRON
-------------------------------------------------- */
.jumbotron-bg-filter {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: #e9ecef;
    background: rgba(0, 0, 0, 0.4);
}

.jumbotron-social-links a {
    color: #fff;
}

.jumbotron-social-links a:hover {
    color: #ffc107 !important;
}

/* HEADER TOP
-------------------------------------------------- */
.header-top {
    position: static;
}

.header-top.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    animation: slideDown 0.3s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

@keyframes slideDown {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}

.navbar-brand img {
    max-height: 40px;
    width: auto;
}

/* MAIN CONTENT
-------------------------------------------------- */
a {
    color: #003b77;
}

a:hover {
    color: #003b77;
}

.text-darkblue {
    color: #003b77;
}

.text-orange {
    color: orangered;
}

.bg-darkblue {
    background-color: #003b77;
}

.bg-orange {
    background-color: orangered;
}

.bg-banner {
    background-image: url("../images/all/bg-banner.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.error404 {
    font-size: 5rem;
}

@media (min-width: 390px) {
    .error404 {
        font-size: 7rem;
    }
}

@media (min-width: 576px) {
    .error404 {
        font-size: 10rem;
    }
}

@media (min-width: 768px) {
    .error404 {
        font-size: 14rem;
    }
}

@media (min-width: 1200px) {
    .error404 {
        font-size: 14rem;
    }
}

.btn-warning {
    border: none !important;
    background: linear-gradient(to right, #ffc107, orangered);
}

.btn-warning:hover {
    background: linear-gradient(to right, #ffc107, orange) !important;
}


.card-link {
    color: #333 !important;
}

.card-link:hover {
    color: orange !important;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #000;
}

.aspect-ratio-1x1 {
    aspect-ratio: 1 / 1;
    width: 100%;
    position: relative;
}

.aspect-ratio-4x3 {
    aspect-ratio: 4 / 3;
    width: 100%;
    position: relative;
}

.aspect-ratio-16x9 {
    aspect-ratio: 16 / 9;
    width: 100%;
    position: relative;
}

.service-card .card-body {
    background-color: black;
    color: white;
}

.service-card:hover .card-body {
    background-color: orange;
    color: black;
}

.service-card .stretched-link {
    color: white;
    text-decoration: none;
}

.service-card:hover .stretched-link {
    color: black;
}

#quickContacts a {
    color: #fff;
}

#quickContacts a:hover {
    color: orange;
}

#postTagsFilterForm .form-check-input:checked {
    background-color: orangered;
    border-color: orangered;
}

#postTagsFilterForm .form-check-input:focus {
    border-color: orangered;
    box-shadow: 0 0 0 0.25rem rgba(255, 69, 0, 0.25);
}

/* PAGINATION
-------------------------------------------------- */
.pagination {
    --bs-pagination-color: #333;
    --bs-pagination-active-color: #fff;
    --bs-pagination-active-bg: orangered;
    --bs-pagination-active-border-color: orangered;
}

/* USER ACCOUNT
-------------------------------------------------- */
@media (min-width: 768px) {
    .sidebar .offcanvas-lg {
        position: sticky;
        top: 48px;
    }

    .navbar-search {
        display: block;
    }
}

.sidebar .nav-link {
    font-size: .875rem;
}

.sidebar .nav-link.active {
    font-weight: 500;
    color: orangered !important;
}

.sidebar-heading {
    font-size: .75rem;
}

/* FOOTER
-------------------------------------------------- */
footer a {
    color: #fff;
}

footer a:hover {
    color: orange;
}

footer {
    background-image: url("../images/all/bg-cable.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* 3th LEVEL SUBMENU (BOOTSTRAP 5.x)
-------------------------------------------------- */
.dropdown-submenu,
.dropdown-item {
    position: relative;
}

.dropdown-submenu>a.dropdown-toggle::after {
    transform: rotate(-90deg);
    position: absolute;
    right: 3px;
    top: 0;
    bottom: 0;
    align-self: center;
}

.dropdown-submenu>.dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: 0.1rem;
    margin-right: 0.1rem;
}

.dropdown-submenu>.dropdown-menu-end {
    left: auto;
    right: 100%;
    margin-left: 0;
    margin-right: 0.1rem;
}

.dropdown-submenu>a.dropdown-toggle.dropdown-toggle-start::after {
    transform: rotate(90deg);
    right: unset;
    left: 0;
}

/* BUTTON UP
-------------------------------------------------- */
#btn-back-to-top {
    position: fixed;
    bottom: 20%;
    right: 7px;
    display: none;
}

/* BUTTON CALLBACK */
.popup-toggle {
    /* rtl - button left, ltr - button right */
    --dir: ltr;
    --accent: #ff9c07;
    --size: 100px;

    position: fixed;
    direction: var(--dir);
    inset-block-end: 15px;
    inset-inline-end: 0;
    z-index: 999;
}

.popup-toggle__ring,
.popup-toggle__fill,
.popup-toggle__icon-wrap {
    position: absolute;
    box-sizing: content-box;
    border-radius: 50%;
    border: 2px solid transparent;
    transition: 0.5s;
}

.popup-toggle__ring {
    width: var(--size);
    height: var(--size);
    inset-block-end: -15px;
    inset-inline-end: 3px;
    border-color: var(--accent);
    opacity: 0.5;
    animation: ring-pulse 2.4s infinite ease-in-out;
}

.popup-toggle__fill {
    width: calc(var(--size) * 0.65);
    height: calc(var(--size) * 0.65);
    inset-block-end: 3px;
    inset-inline-end: 20px;
    background: var(--accent);
    animation: fill-pulse 2.3s infinite ease-in-out;
}

.popup-toggle__icon-wrap {
    width: calc(var(--size) * 0.5);
    height: calc(var(--size) * 0.5);
    inset-block-end: 10px;
    inset-inline-end: 27px;
    background: var(--accent);
    opacity: 0.7;
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup-toggle__icon-wrap:hover {
    opacity: 1;
}

.popup-toggle__icon {
    width: 26px;
    height: 26px;
    display: block;
    animation: tossing 1.5s infinite;
}

@keyframes tossing {

    0%,
    100% {
        transform: rotate(-8deg);
    }

    50% {
        transform: rotate(8deg);
    }
}

@keyframes ring-pulse {
    0% {
        transform: scale(0.5) skew(1deg);
        opacity: 0.1;
    }

    30% {
        transform: scale(0.7) skew(1deg);
        opacity: 0.5;
    }

    100% {
        transform: scale(1) skew(1deg);
        opacity: 0.1;
    }
}

@keyframes fill-pulse {

    0%,
    100% {
        transform: scale(0.7) skew(1deg);
        opacity: 0.2;
    }

    50% {
        transform: scale(1) skew(1deg);
        opacity: 0.2;
    }
}

/* CSS3 EFFECTS
-------------------------------------------------- */
.fade-effect {
    -webkit-transition: all 0.3s ease;
    ;
    -moz-transition: all 0.3s ease;
    ;
    -o-transition: all 0.3s ease;
    ;
    transition: all 0.3s ease;
    opacity: 1;
}

.fade-effect:hover {
    -webkit-transition: all 0.3s ease;
    ;
    -moz-transition: all 0.3s ease;
    ;
    -o-transition: all 0.3s ease;
    ;
    transition: all 0.3s ease;
    opacity: 0.7;
}

/* MEDIA (BOOTSTRAP BREAKPOINTS)
-------------------------------------------------- */
/*
@media (min-width: 390px) {

}
@media (min-width: 576px) {

}
@media (min-width: 768px) {

}
@media (min-width: 992px) {

}
@media (min-width: 1200px) {

}
@media (min-width: 1400px) {

}
*/